Bug 201911 - Installer does not allow for @Everything install
Installer does not allow for @Everything install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Jeff Browning
:
Depends On:
Blocks: 446877 448773
  Show dependency treegraph
 
Reported: 2006-08-09 14:43 EDT by Matthew Davis
Modified: 2008-11-05 13:39 EST (History)
2 users (show)

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:39:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to remove perl packages that get in the way (831 bytes, patch)
2006-08-09 14:43 EDT, Matthew Davis
no flags Details | Diff
List of packages on RHEL 4.6 with Everything and up2date -u (43.17 KB, text/plain)
2008-06-27 08:38 EDT, Jan Pazdziora
no flags Details
List of packages on RHEL 5.2 installed with all groups selected and yum upgrade'd (32.92 KB, application/octet-stream)
2008-06-27 09:05 EDT, Jan Pazdziora
no flags Details

  None (edit)
Description Matthew Davis 2006-08-09 14:43:48 EDT
Description of problem:
The <4.1.0 installer would remove any packages which would conflict with the
installation of the satellite.  The current installer dies with no real reason
if there are conflicting packages in the way when it is getting installed.

If installed with @Everything, the installer fails with the following in the
console:
# ./install.pl 
rpm failed with exit code of '20'. at ./install.pl line 110.

And this in /var/log/rhn/rhn-installation.log
RHN Satellite installation log.
Command: ./install.pl 

        package perl-XML-LibXML-Common-0.13-7 (which is newer than
perl-XML-LibXML-Common-0.13-2.rhel4) is already installed
        file /usr/share/man/man3/XML::SAX.3pm.gz from install of
perl-XML-SAX-0.12-7 conflicts with file from package perl-XML-SAX-0.12-7
        file /usr/share/man/man3/XML::SAX::Base.3pm.gz from install of
perl-XML-SAX-0.12-7 conflicts with file from package perl-XML-SAX-0.12-7
        file /usr/share/man/man3/XML::SAX::DocumentLocator.3pm.gz from install
of perl-XML-SAX-0.12-7 conflicts with file from package perl-XML-SAX-0.12-7
        file /usr/share/man/man3/XML::SAX::Exception.3pm.gz from install of
perl-XML-SAX-0.12-7 conflicts with file from package perl-XML-SAX-0.12-7
        file /usr/share/man/man3/XML::SAX::Intro.3pm.gz from install of
perl-XML-SAX-0.12-7 conflicts with file from package perl-XML-SAX-0.12-7
        file /usr/share/man/man3/XML::SAX::ParserFactory.3pm.gz from install of
perl-XML-SAX-0.12-7 conflicts with file from package perl-XML-SAX-0.12-7
        file /usr/share/man/man3/XML::SAX::PurePerl.3pm.gz from install of
perl-XML-SAX-0.12-7 conflicts with file from package perl-XML-SAX-0.12-7
        file /usr/share/man/man3/XML::SAX::PurePerl::Reader.3pm.gz from install
of perl-XML-SAX-0.12-7 conflicts with file from package perl-XML-SAX-0.12-7


Version-Release number of selected component (if applicable):
rhn-satellite-4.1.0-145-redhat-linux-as-i386-4

How reproducible:
Everytime.

Steps to Reproduce:
1. Install system with @ Everything install
2. Try to install the satellite
  
Actual results:
Fails

Expected results:
Succeeds and continues with the installation.


Additional Info:
The attached patch will allow the installer to get psat the inital perl checks.
Comment 1 Matthew Davis 2006-08-09 14:43:49 EDT
Created attachment 133872 [details]
patch to remove perl packages that get in the way
Comment 2 Robin Norwood 2006-08-09 16:04:16 EDT
Actually, the statement: "The <4.1.0 installer would remove any packages which
would conflict with the installation of the satellite." is not correct - both
the pre-4.1 and the 4.1 installers try to remove some packages that we know
cause problems, but neither one resolves dependencies properly to remove
conflicting packages.


There are a couple of things we can/should do to fix this:

o Go back to 'stock' packages, such as httpd instead of rhn-apache, etc.
  - Rolling our own packages is bad for several reasons, including this one.
o Remove (probably with user input) conflicting packages
  - But this isn't trivial...we would have to solve the dependencies (ie, we try
to install package a, which conflicts with package b, but package b is required
by package c...etc.

Not saying we shouldn't fix this, but it isn't a regression, and isn't trivial.
Comment 3 Robin Norwood 2006-10-17 12:48:00 EDT
mass reassign to mmccune
Comment 7 Mike McCune 2007-01-18 00:49:55 EST
Moving this 510.  I think we should at least try and fix the common cases if we can.

Comment 9 Jan Pazdziora 2008-06-27 07:42:54 EDT
The installer gets significant changes for Satellite 5.2.0, realigning this
bugzilla.
Comment 10 Jan Pazdziora 2008-06-27 08:29:03 EDT
Sending        perl-GD2/perl-GD2.spec
Transmitting file data .
Committed revision 174527.
Comment 11 Jan Pazdziora 2008-06-27 08:30:55 EDT
Sending        install/install.pl
Transmitting file data .
Committed revision 174529.
Comment 12 Jan Pazdziora 2008-06-27 08:38:23 EDT
Created attachment 310432 [details]
List of packages on RHEL 4.6 with Everything and up2date -u

On RHEL 4.6, installed with Everything, updated with up2date -u, and with the
mod_perl-devel in install.pl, the installer
Satellite-5.2.0-RHEL4-re20080625.0-i386 installs all the Satellite rpms.
Comment 13 Jan Pazdziora 2008-06-27 09:05:04 EDT
Created attachment 310434 [details]
List of packages on RHEL 5.2 installed with all groups selected and yum upgrade'd

On RHEL 5.2, installed with all groups selected and updated with yum upgrade,
and with the new perl-GD2-2.17-11.el5 which fixed conflict with kdebindings,
the installer Satellite-5.2.0-RHEL5-re20080625.0-i386 installs all the
Satellite rpms.
Comment 14 Michael Mráka 2008-07-24 05:34:20 EDT
Ported to RELEASE-5.2, r175398.
Comment 15 Brad Buckingham 2008-08-13 12:52:06 EDT
Mass move to ON_QA.
Comment 16 Jeff Browning 2008-08-21 10:49:53 EDT
Fails QA.

Installing on an @Everything RHEL 4 u7 results in this error in the log:

RHN Satellite installation log.
Command: ./install.pl --answer-file=/answers.txt

mod_perl-devel-1.99_16-4.5
No updates available for this system
RPM error while handling  The message was:
Failed installing packages:
('file /usr/share/man/man8/sm.8.gz from install of jabberd-2.0s10-3.42.el4
conflicts with file from package inn-2.3.5-12', (7,
'/usr/share/man/man8/sm.8.gz', 0L))
Comment 17 Jan Pazdziora 2008-08-25 08:19:09 EDT
Jeff, could you please retry with @everything with inn removed on that RHEL 4? I guess we won't be able to fix this properly, as on RHEL 5, that inn's man page moved to /usr/share/man/man1/sm.1.gz, so we cannot move our there. My take would be that if the installation works for @Everything on RHEL 5 and for @Everything -inn on RHEL 4, it's good enough.
Comment 20 Jeff Browning 2008-08-29 14:25:53 EDT
After removing inn from the RHEL4 @Everything install, the 520 install worked fine.

Also, the install worked without error on RHEL5u2 as well.

Verified.
Comment 21 Steve Salevan 2008-10-28 11:45:52 EDT
On RHEL4 and RHEL5 @ Everything installs, the installer succeeds without error.  Moving to RELEASE_PENDING.
Comment 22 Brandon Perkins 2008-11-05 13:39:35 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.